## org.eclipse.datatools.modelbase.sql.constraints.impl
Class ConstraintImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl

All Implemented Interfaces:
  Constraint, SQLObject

Direct Known Subclasses:
  AssertionImpl, TableConstraintImpl

    public abstract class ConstraintImpl

extends SQLObjectImpl
implements Constraint

An implementation of the model object 'Constraint'.

The following features are implemented:

- `Deferrable`
- `Initially Deferred`
- `Enforced`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`boolean` `isDeferrable()`
`boolean` `isEnforced()`
`boolean` `isInitiallyDeferred()`
`void` `setDeferrable(boolean newDeferrable)`
`void` `setEnforced(boolean newEnforced)`
`void` `setInitiallyDeferred(boolean newInitiallyDeferred)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, eInverseAdd, eInverseRemove, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isDeferrable

    public boolean isDeferrable()

  Specified by:
    `isDeferrable` in interface `Constraint`
  Returns:
    the value of the 'Deferrable' attribute.
  See Also:
    `Constraint.setDeferrable(boolean)`, `SQLConstraintsPackage.getConstraint_Deferrable()`

### setDeferrable

    public void setDeferrable(boolean newDeferrable)

  Specified by:
    `setDeferrable` in interface `Constraint`
  Parameters:
    `newDeferrable` - the new value of the 'Deferrable' attribute.
  See Also:
    `Constraint.isDeferrable()`

### isInitiallyDeferred

    public boolean isInitiallyDeferred()

  Specified by:
    `isInitiallyDeferred` in interface `Constraint`
  Returns:
    the value of the 'Initially Deferred' attribute.
  See Also:
    `Constraint.setInitiallyDeferred(boolean)`, `SQLConstraintsPackage.getConstraint_InitiallyDeferred()`

### setInitiallyDeferred

    public void setInitiallyDeferred(boolean newInitiallyDeferred)

  Specified by:
    `setInitiallyDeferred` in interface `Constraint`
  Parameters:
    `newInitiallyDeferred` - the new value of the 'Initially Deferred' attribute.
  See Also:
    `Constraint.isInitiallyDeferred()`

### isEnforced

    public boolean isEnforced()

  Specified by:
    `isEnforced` in interface `Constraint`
  Returns:
    the value of the 'Enforced' attribute.
  See Also:
    `Constraint.setEnforced(boolean)`, `SQLConstraintsPackage.getConstraint_Enforced()`

### setEnforced

    public void setEnforced(boolean newEnforced)

  Specified by:
    `setEnforced` in interface `Constraint`
  Parameters:
    `newEnforced` - the new value of the 'Enforced' attribute.
  See Also:
    `Constraint.isEnforced()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.